@rem  If your onyx project directory is not C:\SIL\ONYX
@rem  or if your VS.NET devenv.com is in another directory, edit
@rem  the following lines so that they work.
SET ONYXDRIVE=C:
SET ONYXDIR=\SIL\ONYX
@rem SET DEVENV="C:\Program Files\Microsoft Visual Studio .NET 2003\Common7\IDE\devenv.com"
SET DEVENV="C:\Program Files\Microsoft Visual Studio 8\Common7\IDE\VCSExpress.exe"

%ONYXDRIVE%
cd %ONYXDIR%
ci -l *.xml *.xsd *.jpg *.rtf *.txt *.sln *.suo *.bat
cd BibleFileLib
ci -l *.cs *.csproj *.user
cd ..\doc
ci -l *.htm *.gif *.jpg *.txt
cd ..\Setup
ci -l *.vdproj
cd ..\sf2word
ci -l *.cs *.csproj *.user *.ico
cd ..\UpdateVersion
ci -l *.cs *.csproj *.user *.ico
cd ..\usfm2word
ci -l *.cs *.csproj *.user *.ico *.resx
cd ..\USFXconverter
ci -l *.cs *.csproj *.user *.ico *.resx
cd ..\word2usfx
ci -l *.cs *.csproj *.user *.ico
cd ..\extract-usfx
ci -l *.cs *.csproj *.user *.ico
cd ..\usfm2usfx
ci -l *.cs *.csproj *.user *.ico *.resx
cd ..\usfx2usfm
ci -l *.cs *.csproj *.user *.ico *.resx
cd ..\AddThisDirToPath
ci -l *.cs *.csproj *.ico *.resx
cd ..\Installer
ci -l *.nsi *.txt *.rtf
interval start

set disttype=debug
cd %ONYXDIR%\UpdateVersion
%DEVENV% UpdateVersion.csproj /build %disttype% /nologo
cd bin\%disttype%\
UpdateVersion.exe
cd %ONYXDIR%
xcopy /d /y doc\* usfm2word\bin\%disttype%
xcopy /d /y *.xml usfm2word\bin\%disttype%
xcopy /d /y SFMInfo.xml extract-usfx\bin\%disttype%
xcopy /d /y BibleBookInfo.xml extract-usfx\bin\%disttype%
xcopy /d /y *.xsd usfm2word\bin\%disttype%
xcopy /d /y SFMInfo.xml usfm2usfx\bin\%disttype%
xcopy /d /y BibleBookInfo.xml usfm2usfx\bin\%disttype%
xcopy /d /y SFMInfo.xml usfx2usfm\bin\%disttype%
xcopy /d /y BibleBookInfo.xml usfx2usfm\bin\%disttype%
xcopy /d /y *.xsd usfm2usfx\bin\%disttype%
%DEVENV% Onyx.sln /rebuild %disttype% /nologo

set disttype=release
cd %ONYXDIR%\UpdateVersion
%DEVENV% UpdateVersion.csproj /build %disttype% /nologo
cd bin\%disttype%\
UpdateVersion.exe
cd %ONYXDIR%
xcopy /d /y doc\* usfm2word\bin\%disttype%
xcopy /d /y *.xml usfm2word\bin\%disttype%
xcopy /d /y *.xsd usfm2word\bin\%disttype%
xcopy /d /y SFMInfo.xml usfm2usfx\bin\%disttype%
xcopy /d /y BibleBookInfo.xml usfm2usfx\bin\%disttype%
xcopy /d /y SFMInfo.xml usfx2usfm\bin\%disttype%
xcopy /d /y BibleBookInfo.xml usfx2usfm\bin\%disttype%
xcopy /d /y *.xsd usfm2usfx\bin\%disttype%
xcopy /d /y doc\* dist\
%DEVENV% Onyx.sln /rebuild %disttype% /nologo
delete /s *.wbk *.bak dist\onyx-setup.zip dist\onyx-source.zip dist\onyx-console.zip

rem Change to the directory just above Onyx.
cd %ONYXDIR%
cd ..
zip -X -9 -r Onyx\dist\onyx-source.zip Onyx\* -x *\bin\* *\obj\* *.user *.suo Onyx\dist\* *.bak *.tmp

delete /rf %ONYXDRIVE%%ONYXDIR%\onyx\*
copy /y %ONYXDRIVE%%ONYXDIR%\doc\* %ONYXDRIVE%%ONYXDIR%\onyx\
copy /y %ONYXDRIVE%%ONYXDIR%\*.xml %ONYXDRIVE%%ONYXDIR%\onyx\
copy /y %ONYXDRIVE%%ONYXDIR%\*.xsd %ONYXDRIVE%%ONYXDIR%\onyx\
xcopy /d /y %ONYXDRIVE%%ONYXDIR%\BibleFileLib\bin\Release\* %ONYXDRIVE%%ONYXDIR%\onyx\
xcopy /d /y %ONYXDRIVE%%ONYXDIR%\sf2word\bin\Release\* %ONYXDRIVE%%ONYXDIR%\onyx\
xcopy /d /y %ONYXDRIVE%%ONYXDIR%\usfm2usfx\bin\Release\* %ONYXDRIVE%%ONYXDIR%\onyx\
xcopy /d /y %ONYXDRIVE%%ONYXDIR%\usfm2usfx\App.ico %ONYXDRIVE%%ONYXDIR%\onyx\
xcopy /d /y %ONYXDRIVE%%ONYXDIR%\extract-usfx\bin\Release\* %ONYXDRIVE%%ONYXDIR%\onyx\
xcopy /d /y %ONYXDRIVE%%ONYXDIR%\usfx2usfm\bin\Release\* %ONYXDRIVE%%ONYXDIR%\onyx\
xcopy /d /y %ONYXDRIVE%%ONYXDIR%\usfm2word\bin\Release\* %ONYXDRIVE%%ONYXDIR%\onyx\
cd %ONYXDIR%
zip -X -9 -r %ONYXDRIVE%%ONYXDIR%\dist\onyx-console.zip onyx\*

cd installer
"c:\program files\nsis\makensis.exe" onyx.nsi
cd ..
call VersionStamp.bat
dir dist\*
interval stop
