@rem  If your wordsend project directory is not c:\sil\wordsend
@rem  or if your VS.NET devenv.com is in another directory, edit
@rem  the following lines so that they work.
SET wordsendDRIVE=C:
SET wordsendDIR=\SIL\wordsend
SET DEVENV="C:\Program Files\Microsoft Visual Studio 8\Common7\IDE\devenv.exe"

%wordsendDRIVE%
cd %wordsendDIR%
ci -l *.xml *.xsd *.jpg *.rtf *.txt *.sln *.suo *.bat
cd BibleFileLib
ci -l *.cs *.csproj *.user
cd ..\doc
ci -l *.htm *.gif *.jpg *.txt
cd ..\Setup
ci -l *.vdproj
cd ..\sf2word
ci -l *.cs *.csproj *.user *.ico
cd ..\UpdateVersion
ci -l *.cs *.csproj *.user *.ico
cd ..\usfm2word
ci -l *.cs *.csproj *.user *.ico *.resx
cd ..\USFXconverter
ci -l *.cs *.csproj *.user *.ico *.resx
cd ..\word2usfx
ci -l *.cs *.csproj *.user *.ico
cd ..\extract-usfx
ci -l *.cs *.csproj *.user *.ico
cd ..\usfm2usfx
ci -l *.cs *.csproj *.user *.ico *.resx
cd ..\usfx2usfm
ci -l *.cs *.csproj *.user *.ico *.resx
cd ..\AddThisDirToPath
ci -l *.cs *.csproj *.ico *.resx
cd ..\cms
ci -l *.cms *.py
cd ..\fonts
ci -l *
cd ..\Installer
ci -l *.nsi *.txt *.rtf
interval start

set disttype=debug
cd %wordsendDIR%\UpdateVersion
%DEVENV% UpdateVersion.csproj /build %disttype% /nologo
cd bin\%disttype%\
UpdateVersion.exe
cd %wordsendDIR%
xcopy /d /y doc\* usfm2word\bin\%disttype%
xcopy /d /y *.xml usfm2word\bin\%disttype%
xcopy /d /y SFMInfo.xml extract-usfx\bin\%disttype%
xcopy /d /y BibleBookInfo.xml extract-usfx\bin\%disttype%
xcopy /d /y *.xsd usfm2word\bin\%disttype%
xcopy /d /y SFMInfo.xml usfm2usfx\bin\%disttype%
xcopy /d /y BibleBookInfo.xml usfm2usfx\bin\%disttype%
xcopy /d /y SFMInfo.xml usfx2usfm\bin\%disttype%
xcopy /d /y BibleBookInfo.xml usfx2usfm\bin\%disttype%
xcopy /d /y *.xsd usfm2usfx\bin\%disttype%
%DEVENV% wordsend.sln /rebuild %disttype% /nologo

set disttype=release
cd %wordsendDIR%\UpdateVersion
%DEVENV% UpdateVersion.csproj /build %disttype% /nologo
cd bin\%disttype%\
UpdateVersion.exe
cd %wordsendDIR%
xcopy /d /y doc\* usfm2word\bin\%disttype%
xcopy /d /y *.xml usfm2word\bin\%disttype%
xcopy /d /y *.xsd usfm2word\bin\%disttype%
xcopy /d /y SFMInfo.xml usfm2usfx\bin\%disttype%
xcopy /d /y BibleBookInfo.xml usfm2usfx\bin\%disttype%
xcopy /d /y SFMInfo.xml usfx2usfm\bin\%disttype%
xcopy /d /y BibleBookInfo.xml usfx2usfm\bin\%disttype%
xcopy /d /y *.xsd usfm2usfx\bin\%disttype%
xcopy /d /y doc\* dist\
%DEVENV% wordsend.sln /rebuild %disttype% /nologo
delete /s *.wbk *.bak dist\wordsend-setup.zip dist\wordsend-source.zip dist\wordsend-console.zip

rem Change to the directory just above wordsend.
cd %wordsendDIR%
cd ..
zip -X -9 -r wordsend\dist\wordsend-source.zip wordsend\* -x *\bin\* *\obj\* *.user *.suo wordsend\dist\* *.bak *.tmp

delete /rf %wordsendDRIVE%%wordsendDIR%\wordsend\*
copy /y %wordsendDRIVE%%wordsendDIR%\doc\* %wordsendDRIVE%%wordsendDIR%\wordsend\
copy /y %wordsendDRIVE%%wordsendDIR%\*.xml %wordsendDRIVE%%wordsendDIR%\wordsend\
copy /y %wordsendDRIVE%%wordsendDIR%\*.xsd %wordsendDRIVE%%wordsendDIR%\wordsend\
xcopy /d /y %wordsendDRIVE%%wordsendDIR%\BibleFileLib\bin\Release\* %wordsendDRIVE%%wordsendDIR%\wordsend\
xcopy /d /y %wordsendDRIVE%%wordsendDIR%\sf2word\bin\Release\* %wordsendDRIVE%%wordsendDIR%\wordsend\
xcopy /d /y %wordsendDRIVE%%wordsendDIR%\usfm2usfx\bin\Release\* %wordsendDRIVE%%wordsendDIR%\wordsend\
xcopy /d /y %wordsendDRIVE%%wordsendDIR%\usfm2usfx\App.ico %wordsendDRIVE%%wordsendDIR%\wordsend\
xcopy /d /y %wordsendDRIVE%%wordsendDIR%\extract-usfx\bin\Release\* %wordsendDRIVE%%wordsendDIR%\wordsend\
xcopy /d /y %wordsendDRIVE%%wordsendDIR%\usfx2usfm\bin\Release\* %wordsendDRIVE%%wordsendDIR%\wordsend\
xcopy /d /y %wordsendDRIVE%%wordsendDIR%\usfm2word\bin\Release\* %wordsendDRIVE%%wordsendDIR%\wordsend\
cd %wordsendDIR%
zip -X -9 -r %wordsendDRIVE%%wordsendDIR%\dist\wordsend-console.zip wordsend\*

cd installer
"c:\program files\nsis\makensis.exe" wordsend.nsi
cd ..
call VersionStamp.bat
dir dist\*
interval stop
