using System;
using System.IO;
using System.Diagnostics;
using System.ComponentModel;
using Microsoft.Win32;

namespace AddThisDirToPath
{
	/// <summary>
	/// This simple application is 
	/// </summary>
	class Class1
	{
		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main(string[] args)
		{
			try
			{
				RegistryKey rk = Registry.LocalMachine.OpenSubKey(@"SYSTEM\CurrentControlSet\Control\Session Manager\Environment", true);
				string systemPath = (string)rk.GetValue("Path", "");
				// Console.WriteLine("System path={0}", systemPath);

				string ThisDir = Path.GetDirectoryName(System.Windows.Forms.Application.ExecutablePath);
				if (systemPath.ToLower().IndexOf(ThisDir.ToLower()) < 0)
				{
					if (systemPath[systemPath.Length-1] != ';')
						systemPath += ";" + ThisDir;
					else
						systemPath += ThisDir;
					Console.WriteLine("Setting new system path to {0}", systemPath);
					rk.SetValue("Path", systemPath);
				}
				else
				{
					Console.WriteLine("AddThisDirToPath is part of the installation script, and has done its duty.");
					Console.WriteLine("{0} may now be deleted.", System.Windows.Forms.Application.ExecutablePath);
				}
			}
			catch (Exception ex)
			{
				Console.WriteLine("ERROR:");
				Console.WriteLine(ex.Message);
				Console.WriteLine("Please press \"Enter\" to continue.");
				Console.ReadLine();
			}
		}
	}
}
